nxt

## Class ExchangeRequest

- java.lang.Object
- - nxt.ExchangeRequest

-     public final class ExchangeRequest
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<ExchangeRequest>` | `getAccountCurrencyExchangeRequests(long accountId, long currencyId, int from, int to)`
    `static DbIterator<ExchangeRequest>` | `getAccountExchangeRequests(long accountId, int from, int to)`
    `long` | `getAccountId()`
    `static DbIterator<ExchangeRequest>` | `getAllExchangeRequests(int from, int to)`
    `static int` | `getCount()`
    `static DbIterator<ExchangeRequest>` | `getCurrencyExchangeRequests(long currencyId, int from, int to)`
    `long` | `getCurrencyId()`
    `static ExchangeRequest` | `getExchangeRequest(long transactionId)`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getRate()`
    `int` | `getTimestamp()`
    `long` | `getUnits()`
    `boolean` | `isBuy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllExchangeRequests

          public static DbIterator<ExchangeRequest> getAllExchangeRequests(int from,
                                                                           int to)

    - #### getCount

          public static int getCount()

    - #### getExchangeRequest

          public static ExchangeRequest getExchangeRequest(long transactionId)

    - #### getCurrencyExchangeRequests

          public static DbIterator<ExchangeRequest> getCurrencyExchangeRequests(long currencyId,
                                                                                int from,
                                                                                int to)

    - #### getAccountExchangeRequests

          public static DbIterator<ExchangeRequest> getAccountExchangeRequests(long accountId,
                                                                               int from,
                                                                               int to)

    - #### getAccountCurrencyExchangeRequests

          public static DbIterator<ExchangeRequest> getAccountCurrencyExchangeRequests(long accountId,
                                                                                       long currencyId,
                                                                                       int from,
                                                                                       int to)

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getCurrencyId

          public long getCurrencyId()

    - #### getUnits

          public long getUnits()

    - #### getRate

          public long getRate()

    - #### isBuy

          public boolean isBuy()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()